## xserver-xorg-video-intel 2.4.1-1ubuntu10netbook0payson2

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10netbook0payson2) hardy; urgency=low

  * modified version number to ensure package can be upgraded by UNR in the
    future 

 -- Bill Filler <bill.filler@canonical.com>  Sat, 22 Nov 2008 22:42:22 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10payson1) hardy; urgency=low

  * Remove another intel_reg_dumper information

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 08:30:32 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10payson0) hardy; urgency=low

  *  Remove build of intel_reg_dumper as in Hardy package

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 07:30:12 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10) intrepid; urgency=low

  * 28_stolen_memory_counting_g4x.patch:
    - Fixes freeze on login for G45 hardware when X.org runs in EXA mode.
      Issue was fixed upstream in both the kernel and x driver.  This
      patch is also in Debian.
      (LP: #285572)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 21 Oct 2008 11:35:13 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu9) intrepid; urgency=low

  * 27_disable_fbc_on_965.patch:
    - Works around issue where flash videos freeze after playing for a few
      moments on i965 chipset, by disabling Frame Buffer Compression, which
      is not working reliably on this chipset.  It can be re-enabled via the
      FrameBufferCompression option for testing purposes.
      (LP: #275285)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 17 Oct 2008 18:11:03 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu8) intrepid; urgency=low

  * 26_i830-use-lfp-data-ptrs.patch:
    - Fixes fatal server error "Couldn't find PLL settings for mode"
      on a 855GM chipset, due to having an inaccurate VBT LFP_DATA
      section from the BIOS parser.  This pulls the info from a
      different (more trustworthy) version of the data structure.
      (LP: #274045)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 16 Oct 2008 12:38:19 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu7) intrepid; urgency=low

  * Drop Vcs-* as we're not using these repos for -intel.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Oct 2008 13:24:36 +0200

xserver-xorg-video-intel (2:2.4.1-1ubuntu6) intrepid; urgency=low

  * 25_quirks_nx6110.patch:
    - Fixes error msg that "Mode 1280x1024 does not fit virtual size"
      (LP: #271707)

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 20 Sep 2008 18:20:56 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu5) intrepid; urgency=low

  * 24_no_render_suspend:
    - Fix blank screen and crash on startup with x4500 (LP: #265119)

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Fri, 19 Sep 2008 14:00:28 +1000

xserver-xorg-video-intel (2:2.4.1-1ubuntu4) intrepid; urgency=low

  * 23_quirks_studiohybrid_eeepc_and_w251u.patch:
    - Fix blank screen on startup on Asus Eee PC due to LVDS
      misconfiguration (LP: #233787)
    - Fix blank screen on startup on Dell Studio Hybrid due to LVDS
      misconfiguration (LP: #267945)
    - Fix crash on lid close on Gigabyte W251U - pipeA quirk (LP: #244242)

 -- Bryce Harrington <bryce@bryceharrington.org>  Fri, 12 Sep 2008 00:53:01 +0000

xserver-xorg-video-intel (2:2.4.1-1ubuntu3) intrepid; urgency=low

  * Rebuild against the new xserver-xorg-dev.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 12 Sep 2008 01:09:40 +0300

xserver-xorg-video-intel (2:2.4.1-1ubuntu2) intrepid; urgency=low

  * 22_no_pipe_for_hotplug_detection.patch: Don't allocate a pipe for
    hotplug detection. (LP: #256142)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 02 Sep 2008 16:13:52 +0300

xserver-xorg-video-intel (2:2.4.1-1ubuntu1) intrepid; urgency=low

  * New upstream version, this is basically version 2.4.2. (LP: #260603)
  * Merge with debian experimental. Remaining changes:
    - debian/patches
      + 20_thinkpad_g40_quirk.patch:
        Quirk for IBM Thinkpad G40
      + 21_quirk_lenovo.patch:
        Pipe-A quirks for Lenovo ThinkPad T60
    - debian/control:
      + Change the maintainer address.
      + Add lpia to the list of architectures.
  * Disable 01_fix_compiz_video.diff, since it appears to be obsolete
    by now.
  * Drop 05_intel_exa_force_greedy.patch, since it was not used (crash)
    and the option doesn't seem to improve the performance anymore.
  * Disable 11_textured_video_option.patch for now, textured video seems
    to work just fine now.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 26 Aug 2008 14:19:55 +0300

xserver-xorg-video-intel (2:2.4.1-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Pull from 2.4-branch HEAD as of August 24th.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Aug 2008 18:28:32 +0200

xserver-xorg-video-intel (2:2.4.0-1ubuntu1) intrepid; urgency=low

  * Merge with debian experimental.
  * 20_thinkpad_g40_quirk.patch: don't remove another quirk, must've been
    a mistake (and not related to G40).
  * 21_quirk_lenovo.patch: rename and drop the HP quirk, since it's
    upstream.
  * rules: drop the change to not build intel_reg_dumper, libpciaccess is
    in main now.
  * changelog: bring back old entries lost during an old merge (ahem..).
  * Fixes from upstream 2.4-branch:
    30_update_dsparb.patch
    - Update DSPARB while planes are still off.
    31_reorder_visuals.patch
    - Reorder visuals reported by the intel driver.
    32_dont_program_dsparb.patch
    - Don't program dsparb on new Intel chip.
    33_fix_hp_pavilion_quirk.patch
    - Fix up the HP Pavilion ze4944ea quirk. The chip is 855GM, not GM45.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 07 Aug 2008 14:38:09 +0300

xserver-xorg-video-intel (2:2.4.0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patch 01_gen_pci_ids.diff.
  * Don't handle the nostrip build option in debian/rules, dh_strip does that;
    allow the parallel=n option.


## xserver-xorg-video-intel 2.99.917+git20180925

=== meson_options.txt ===
option('sna', type : 'boolean', value : true,
       description : 'Build with SNA support')
option('uxa', type : 'boolean', value : true,
       description : 'Build with UXA support')
option('xaa', type : 'boolean', value : true,
       description : 'Build with XAA support')
option('ums', type : 'boolean', value : true,
       description : 'Build with UMS support')
option('kms', type : 'boolean', value : true,
       description : 'Build with KMS support')
option('dri1', type : 'boolean', value : true,
       description : 'Build DRI1 support')
option('dri2', type : 'boolean', value : true,
       description : 'Build with DRI2 support')
option('dri3', type : 'boolean', value : true,
       description : 'Build with DRI3 support')
option('present', type : 'boolean', value : true,
       description : 'Enable Present support')
option('xvmc', type : 'boolean', value : true,
       description : 'Enable XvMC support')
option('valgrind', type : 'boolean', value : true,
       description : 'Enable valgrindified ioctls for debugging')
option('default-dri', type : 'combo', value : '2', choices : [ '1', '2', '3' ],
       description : 'Select the default maximum DRI level')
option('default-accel', type : 'combo', value : 'sna', choices : [ 'sna', 'uxa', 'none' ],
       description : 'Select the default acceleration method')
option('tools', type : 'boolean', value : true,
       description : 'Enable building and installing the miscellaneous tools')
option('backlight', type : 'boolean', value : true,
       description : 'Enable control of the backlight')
option('backlight-helper', type : 'boolean', value : true,
       description : 'Enable building the backlight helper executable for running X under a normal user')
option('tearfree', type : 'boolean', value : false,
       description : 'Enable use of TearFree by default')
option('use-create2', type : 'boolean', value : false,
       description : 'Enable use of create2 ioctl (experimental)')
option('async-swap', type : 'boolean', value : false,
       description : 'Enable use of asynchronous swaps (experimental)')
option('debug', type : 'combo', value : 'no', choices : [ 'no', 'sync', 'memory', 'pixmap', 'full' ],
       description : 'Enable internal debugging')
option('xorg-module-dir', type : 'string', value : '@libdir@/xorg/modules',
       description : 'Default xorg module directory')

## xserver-xorg-video-intel 2.4.1-1ubuntu10netbook0payson3

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10netbook0payson3) hardy; urgency=low

  * Add whitescreen patch

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 12 Dec 2008 16:06:12 -0500

=== debian/control ===
Source: xserver-xorg-video-intel
Section: x11
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
Build-Depends: debhelper (>= 5), quilt, pkg-config, xserver-xorg-dev, x11proto-gl-dev, x11proto-video-dev, libgl1-mesa-dev | libgl-dev, libxvmc-dev (>= 1:1.0.1), x11proto-core-dev, x11proto-fonts-dev, x11proto-randr-dev (>= 1.2), x11proto-render-dev, x11proto-xinerama-dev, libdrm-dev (>= 2.2) [!hurd-i386], x11proto-xf86dri-dev, libpciaccess-dev, dpkg-dev, automake, libtool, xutils-dev
Standards-Version: 3.7.3

Package: xserver-xorg-video-intel
Architecture: amd64 hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 netbsd-i386 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Provides: ${xviddriver:Provides}
Replaces: xserver-xorg (<< 6.8.2-35), xserver-xorg-video-i810 (<< 2:1.9.91-1), xserver-xorg-video-i810-modesetting, xserver-xorg-video-intel-modesetting, xserver-xorg-driver-i810
Conflicts: xserver-xorg-video-i810 (<< 2:1.9.91-1), xserver-xorg-video-i810-modesetting, xserver-xorg-video-intel-modesetting, xserver-xorg-driver-i810, 915resolution
Description: X.Org X server -- Intel i8xx, i9xx display driver
 This package provides the driver for the Intel i8xx and i9xx family
 of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945
 and i965 series chips.
 .
 This package also provides an XvMC (XVideo Motion Compensation) driver
 for i810 and i815 chipsets.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xf86-video-intel driver module.

Package: xserver-xorg-video-intel-dbg
Architecture: amd64 hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 netbsd-i386
Depends: xserver-xorg-video-intel (= ${binary:Version}), ${shlibs:Depends}
Priority: extra
Description: X.Org X server -- Intel i8xx, i9xx display driver (debug symbols)
 This driver provides support for the Intel i8xx and i9xx family of chipsets,
 including i810, i815, i830, i845, i855, i865, i915, and i945 series chips,
 and XvMC (XVideo Motion Compensation) support for the same chipsets.
 .
 This package provides debugging symbols for this Xorg X driver.

Package: xserver-xorg-video-i810
Architecture: all
Section: oldlibs
Depends: xserver-xorg-video-intel
Description: X.Org X server -- Intel i8xx, i9xx display driver
 This is a transitional package providing the Xorg video driver for the
 Intel i8xx and i9xx family of chipsets, and can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xserver-xorg-driver-i810 package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include debian/xsfbs/xsfbs.mk

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# kbd_drv.a isn't phenomenally useful; kbd_drv.so more so
confflags += --disable-static

configure: $(STAMP_DIR)/patch
	dh_testdir
	autoreconf -vfi

obj-$(DEB_BUILD_GNU_TYPE)/config.status: configure
	dh_testdir
	test -d obj-$(DEB_BUILD_GNU_TYPE) || mkdir obj-$(DEB_BUILD_GNU_TYPE)
	cd obj-$(DEB_BUILD_GNU_TYPE) && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags) \
	             CFLAGS="$(CFLAGS)" 

.PHONY: build
build: build-stamp
build-stamp: obj-$(DEB_BUILD_GNU_TYPE)/config.status
	dh_testdir
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
	>$@

clean: xsfclean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf obj-*
	rm -f $$(find -name Makefile.in)
	rm -f compile config.guess config.sub configure depcomp install-sh
	rm -f ltmain.sh missing INSTALL aclocal.m4 config.h.in mkinstalldirs

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -d $(CURDIR)/debian/tmp/usr/bin
	#install -m 755 obj-$(DEB_BUILD_GNU_TYPE)/src/reg_dumper/intel_reg_dumper $(CURDIR)/debian/tmp/usr/bin/

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-s
binary-arch: build install serverabi
	dh_testdir
	dh_testroot

	dh_installdocs README
	dh_installchangelogs ChangeLog
	dh_install --sourcedir=debian/tmp --list-missing --exclude=.la --exclude=usr/share/man/man4
	dh_installman
	dh_link
	dh_strip --dbg-package=xserver-xorg-video-intel-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps 
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://xorg.freedesktop.org/releases/individual/driver/ xf86-video-intel-(.*)\.tar\.gz

## xserver-xorg-video-intel 2.4.1-1ubuntu10.4payson1

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10.4payson1) payson; urgency=low

  * re-base on ubuntu10.4 version
    - added debian/patches 29_whitescreen.patch
    - modified debian/rules to comment out install of intel_reg_dumper
    - modified debian/xserver-xorg-video-intel-dbg.install to remove 
      install of usr/bin/intel_reg_dumper 
    - modified debian/rules to get rid of warnings in dh_shlibdeps
    - modified debian/control Build-Depends to build under Hardy 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 02 Apr 2009 13:23:35 -0400

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.4) intrepid-proposed; urgency=low

  * Update 104_i830-vbt-timing-hack.patch to final version taken upstream.
    Fixes incorrect modeline logic on certain models of monitors after the
    last release, resulting in incorrect resolution detection and/or
    screen corruption.
    (LP: #320893)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 30 Mar 2009 11:01:52 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.3) intrepid-proposed; urgency=low

  * i830-vbt-timing-hack.patch: Adjust h and vblank end to fix issue on
    Dell Studio 15 and other similar hardware.  Fixes issue where X 
    comes up with an unusable white screen on the LVDS.
    (LP: #297245)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 13 Jan 2009 16:37:33 -0800

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.2) intrepid-proposed; urgency=low

  * 100_update_quirks_to_2.6.patch:
    - Sync up latest quirks from upstream git tree (roughly up to 2.6).
      Adds handful of pipe-A and ignore-lvds quirks.  See
      https://wiki.ubuntu.com/X/Quirks for details.  (LP: #316672)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 13 Jan 2009 01:00:52 -0800

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.1) intrepid-proposed; urgency=low

  * Re-enable 11_textured_video_option.patch, but change logic so it is
    enabled by default.  This allows people seeing issues with it to 
    turn it off if they wish.  (LP: #278318)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 12 Nov 2008 14:39:03 -0800

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,8 @@
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_shlibdeps 
+	#dh_shlibdeps -- --warnings=6
+	dh_shlibdeps
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## xserver-xorg-video-intel 2.99.917+git20210115

=== meson_options.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
        description : 'Enable use of create2 ioctl (experimental)')
 option('async-swap', type : 'boolean', value : false,
        description : 'Enable use of asynchronous swaps (experimental)')
-option('debug', type : 'combo', value : 'no', choices : [ 'no', 'sync', 'memory', 'pixmap', 'full' ],
+option('internal-debug', type : 'combo', value : 'no', choices : [ 'no', 'sync', 'memory', 'pixmap', 'full' ],
        description : 'Enable internal debugging')
 option('xorg-module-dir', type : 'string', value : '@libdir@/xorg/modules',
        description : 'Default xorg module directory')
